%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           liveusb-creator
Version:        3.14.2
Release:        %mkrel 2
Summary:        A liveusb creator
Group:          System/Configuration
License:        GPLv2
URL:            https://fedorahosted.org/liveusb-creator
Source0:        https://fedorahosted.org/releases/l/i/%{name}/%{name}-%{version}.tar.bz2
BuildArch:      noarch
ExcludeArch:    ppc
ExcludeArch:    ppc64
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-qt4-devel
BuildRequires:  desktop-file-utils 
BuildRequires:  gettext
Requires:       syslinux, python-qt4, usermode, isomd5sum
Requires:       extlinux
Requires:       udisks2
Requires:       polkit
Requires:       python-urlgrabber python-dbus
Requires:       python-parted >= 2.0

%description
A liveusb creator from Live Fedora images

%prep
%setup -q

%build
%{__python} setup.py build
make mo

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__rm} -r liveusb/urlgrabber


# polkit stuff
mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
%{__install} -p -m644 \
	org.fedoraproject.pkexec.run-liveusb-creator.policy \
	%{buildroot}%{_datadir}/polkit-1/actions/
%{__install} -p -m755 \
	liveusb-creator_polkit \
	%{buildroot}%{_bindir}/

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name} 

%files -f %{name}.lang
%doc LICENSE.txt
%{python_sitelib}/*
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/fedorausb.png
%{_datadir}/polkit-1/actions/org.fedoraproject.pkexec.run-liveusb-creator.policy
%{_datadir}/appdata/liveusb-creator.appdata.xml


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 3.14.2-2.mga6
+ Revision: 969606
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 tv <tv> 3.14.2-1.mga6
+ Revision: 872905
- new release

* Wed Oct 15 2014 umeabot <umeabot> 3.12.1-6.mga5
+ Revision: 742755
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.12.1-5.mga5
+ Revision: 726986
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.12.1-4.mga5
+ Revision: 681965
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.12.1-3.mga5
+ Revision: 628318
- Rebuild for new Python

* Thu May 15 2014 tv <tv> 3.12.1-2.mga5
+ Revision: 622935
- requires extlinux+udisks

* Thu May 15 2014 tv <tv> 3.12.1-1.mga5
+ Revision: 622929
- new release

* Tue Oct 22 2013 umeabot <umeabot> 3.11.8-3.mga4
+ Revision: 542757
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 3.11.8-2.mga4
+ Revision: 497871
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jun 26 2013 dams <dams> 3.11.8-1.mga4
+ Revision: 446667
- new version 3.11.8

* Wed Jan 23 2013 fwang <fwang> 3.11.7-3.mga3
+ Revision: 391477
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 3.11.7-2.mga3
+ Revision: 358891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 3.11.7-1.mga3
+ Revision: 323306
- new release

* Tue Sep 06 2011 tv <tv> 3.11.4-1.mga2
+ Revision: 139710
- new release
- temporary disable patch 0
- new release
- imported package liveusb-creator


* Sat Nov 13 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 3.9.2-2mdv2011.0
+ Revision: 597038
- rebuild for python 2.7

  + Sandro Cazzaniga <kharec@mandriva.org>
    - New version 3.9.2

* Tue Dec 22 2009 Ahmad Samir <ahmadsamir@mandriva.org> 3.9.1-2mdv2010.1
+ Revision: 481582
- Fix requires (bug #56589)

* Sun Dec 20 2009 Thierry Vignaud <tv@mandriva.org> 3.9.1-1mdv2010.1
+ Revision: 480265
- import liveusb-creator


* Tue Dec 08 2009 Luke Macken <lmacken@redhat.com> - 3.9.1-1
- 3.9.1 bugfix release

* Tue Dec 01 2009 Luke Macken <lmacken@redhat.com> - 3.9-1
- 3.9 release

* Tue Dec 01 2009 Luke Macken <lmacken@redhat.com> - 3.8.9-1
- 3.8.9, fixes bug #540255

* Tue Dec 01 2009 Luke Macken <lmacken@redhat.com> - 3.8.8-1
- 3.8.8, bugfix release

* Tue Nov 17 2009 Luke Macken <lmacken@redhat.com> - 3.8.7-1
- 3.8.7, containing the F12 release

* Sat Nov 07 2009 Luke Macken <lmacken@redhat.com> - 3.8.6-1
- 3.8.6

* Thu Aug 27 2009 Luke Macken <lmacken@redhat.com> - 3.7.3-1
- 3.7.3

* Wed Aug 05 2009 Luke Macken <lmacken@redhat.com> - 3.7.2-1
- 3.7.2

* Sat Jun 27 2009 Luke Macken <lmacken@redhat.com> - 3.7.1-1
- 3.7.1

* Wed Jun 24 2009 Luke Macken <lmacken@redhat.com> - 3.7
- Latest upstream bugfix release

* Fri Jun 12 2009 Luke Macken <lmacken@redhat.com> - 3.6.8-1
- Latest upstream bugfix release

* Tue Jun 09 2009 Luke Macken <lmacken@redhat.com> - 3.6.7-1
- Fix a bug with ext formatted sticks

* Tue Jun 09 2009 Luke Macken <lmacken@redhat.com> - 3.6.6-1
- Update to v3.6.6
- Merge the dcon-unfreeze patch upstream
- Add Fedora 11 to the release list

* Wed May 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 3.6.5-3
- Make olpc.fth unfreeze disply for newer BIOSes than Q2E30 (#501688)

* Thu Apr 09 2009 Luke Macken <lmacken@redhat.com> 3.6.5-2
- Fix the checksum verification to support sha256

* Thu Apr 09 2009 Luke Macken <lmacken@redhat.com> 3.6.5-1
- Update to v3.6.5, which supports F11 beta, and the latest SoaS releases

* Wed Mar 18 2009 Luke Macken <lmacken@redhat.com> 3.6.4-1
- Update to v3.6.4, which works with the PyParted 2.0 API

* Thu Mar 12 2009 Luke Macken <lmacken@redhat.com> 3.6.3-1
- Update to v3.6.3

* Mon Mar 07 2009 Luke Macken <lmacken@redhat.com> 3.6-1
- Require pyparted
- Update to v3.6

* Fri Mar 06 2009 wwp <subscript@free.fr> 3.5-2
- Fix dd commands when output path contain whitespaces

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Luke Macken <lmacken@redhat.com> 3.5-1
- Update to v3.5

* Fri Jan 16 2009 Luke Macken <lmacken@redhat.com> 3.4-1
- Update to 3.4.

* Fri Jan 16 2009 Luke Macken <lmacken@redhat.com> 3.3-2
- Require python-urlgrabber

* Fri Jan 15 2009 Luke Macken <lmacken@redhat.com> 3.3-1
- Update to 3.3

* Fri Jan 02 2009 Luke Macken <lmacken@redhat.com> 3.2-1
- Fixed some syslinux-related issues (#167)
- Fixed some windows-related logging problems (#337)
- Mitigate a DBus/HAL-related segfault by unmounting upon termination

* Thu Jan 01 2009 Luke Macken <lmacken@redhat.com> 3.1-1
- Latest upstream release, containing some windows-specific
  optimizations and fixes.

* Mon Dec 29 2008 Luke Macken <lmacken@redhat.com> 3.0-4
- Latest upstream release.
- Fedora 10 support
- Update to the latest sugar spin
- Lots of bug fixes and code improvements
- Improved OLPC support with the --xo flag
- Translation improvements
    - Greek translation (Nikos Charonitakis)
    - Slovak translation (Ondrej Sulek)
    - Catalan translation (Xavier Conde)
    - French translation (PabloMartin-Gomez)
    - Serbian (Milos Komarcevic)
    - Chinese (sainrysec)

* Fri Oct 03 2008 Luke Macken <lmacken@redhat.com> 3.0-2
- Exclude ppc and ppc64, as syslinux will not work on those architectures.

* Fri Aug 29 2008 Luke Macken <lmacken@redhat.com> 3.0-1
- Latest upstream release, containing various bugfixes
- Fedora 10 Beta support
- Brazilian Portuguese translation (Igor Pires Soares)
- Spanish translation (Domingo Becker)
- Malay translation (Sharuzzaman Ahmat Raslan)
- German Translation (Marcus Nitzschke, Fabian Affolter)
- Polish translation (Piotr Drąg)
- Portuguese translation (Valter Fukuoka)
- Czech translation (Adam Pribyl)

* Tue Aug 12 2008 Kushal Das <kushal@fedoraproject.org> 2.7-1
- Initial release
